#
# spec file for package hk_classes (Version 0.4.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gpp kdoc libgpp mysql-devel mysql-shared
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd kdoc less libgpp libtool libz m4 make man mktemp modutils mysql-devel mysql-shared ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         hk_classes
Copyright:    LGPL
Group:        System Environment/Libraries
Summary:      database interface library/classes
Version:      0.4.2
Release:      23
Source0:      hk_classes-0.4.2.tar.bz2
Patch0:       hk_classes-0.4.2.dif
BuildRoot:    /var/tmp/%{name}-buildroot

%description
the hk_classes are a set of non-visual routines which allow you to develop
database frontend applications as easy as possible. You need also a database driver to run applications. A driver for Mysql is included in this library and will be automatically installed if configure finds a working mysql installation on your computer.
Optionally you also can use graphical frontend libraries (i.e. hk_kdeclasses from the knoda package) to write intermediate X-database-applications with just a few lines.

Authors:
--------
    Horst Knorr <hk_classes@knorrnet.de>

SuSE series: k2de

%package devel
Version:      0.4.2
Release:      23
Summary:      database interface library/classes
Group:        Development/Libraries
 

%description devel
Header files and API documentation (/usr/share/doc/KDE-API/hk_classes) for the hk_classes.

Authors:
--------
    Horst Knorr <hk_classes@knorrnet.de>

SuSE series: k2de

%prep
%setup -n hk_classes-0.4.2
%patch

%build
export HK_CLASSESDIR=/usr/
export CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG "
./configure \
  --prefix=/usr/ \
  
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
if [ -x /opt/kde2/bin/makekdedoc ]; then
   export KDEDOCDIR=/usr/share/doc/KDE-API/
   makekdedoc --libdir=${RPM_BUILD_ROOT}/$KDEDOCDIR/kdoc-reference \
                --kdocopt='--skip-internal --compress' \
                --url=${KDEDOCDIR} \
                --outputdir=${RPM_BUILD_ROOT}/${KDEDOCDIR}
 
  echo "Database connection classes"\
       > ${RPM_BUILD_ROOT}/${KDEDOCDIR}/hk_classes/description.SuSEconfig
  echo "hk_classes"                 \
       > ${RPM_BUILD_ROOT}/${KDEDOCDIR}/hk_classes/package.SuSEconfig
 
  echo "/usr/share/doc/KDE-API/hk_classes" \
       >  ${RPM_BUILD_DIR}/hk_classes.doc.list
  echo "/usr/share/doc/KDE-API/kdoc-reference/*" \
       >> ${RPM_BUILD_DIR}/hk_classes.doc.list
else
   touch ${RPM_BUILD_DIR}/hk_classes.doc.list
fi

%files
%doc NEWS README AUTHORS INSTALL ChangeLog COPYING 
/usr/lib/lib*
/usr/lib/drivers

%files devel -f ../hk_classes.doc.list
/usr/include/hk_*.h

%changelog -n hk_classes
* Mon Sep 10 2001 - adrian@suse.de
- Spec file created from hk_classes-0.4.2.tar.bz2 by autospec
